Page MenuHomePhabricator

Don't use APIs deprecated in openssl-1.1
AbandonedPublic

Authored by Hermet on Jan 20 2017, 1:26 PM.

Details

Summary

When openssl-1.1.0 is built with --api=1.1 disable-deprecated, use of
deprecated APIs leads to build failures.

X-Gentoo-Bug: 606628
X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=606628

Diff Detail

Repository
rEFL core/efl
Lint
Lint Skipped
Unit
Unit Tests Skipped
eroen created this revision.Jan 20 2017, 1:26 PM
cedric accepted this revision.Feb 7 2017, 2:25 PM
This revision is now accepted and ready to land.Feb 7 2017, 2:25 PM
cedric closed this revision.Feb 7 2017, 2:25 PM
bu5hm4n reopened this revision.EditedFeb 16 2017, 12:43 AM
bu5hm4n added a subscriber: bu5hm4n.

Uhm i am quite unhappy with this revision.

First of all... deprecation of apis is most of the time done, that projects using this api can convert to the new api. So disabling deprecated api is somehow .... bad :)

Now to the patch itself:

  • How can defined(HAVE_OPENSSL) AND defined(LIBRESSL_VERSION_NUMBER) be true ? i think this last check is completly unneccesary...
This revision is now accepted and ready to land.Feb 16 2017, 12:43 AM
jpeg added a comment.Feb 19 2017, 9:38 PM

As too often, @cedric closed manually... The patch has been merged as 6f9df2bb3d5579bd6de8b8493c3a6770de46464e so another patch should be raised now.
I also agree that this patch is very dubious. Can we try do not have ifdef here? Those things should be figured out at runtime, not based on a header file.

jpeg requested changes to this revision.May 12 2017, 1:24 AM

I think the exotic compilation flags used for openssl here trigger a build compability issue that shouldn't exist. This patch also is wrong as it is indeed not replacing the deprecated function calls by their new equivalents.
I tend to think this should be reverted... and proper work be done to use the new APIs.

This revision now requires changes to proceed.May 12 2017, 1:24 AM
Hermet commandeered this revision.Mar 27 2019, 6:35 PM
Hermet added a reviewer: eroen.
Hermet abandoned this revision.Mar 27 2019, 6:35 PM

This is a too old patch, nobody keeps tracking on this anymore.